petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCSORSetIterations

Sets the number of inner iterations to be used by the SOR preconditioner. The default is 1.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSORSetIterations(PC pc,PetscInt its,PetscInt lits)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| lits | - number of local iterations, smoothings over just variables on processor
| its | - number of parallel iterations to use; each parallel iteration has lits local iterations

### Options Database Key

| -pc_sor_its <its> | - Sets number of iterations
| -pc_sor_lits <lits> | - Sets number of local iterations

### Notes

When run on one processor the number of smoothings is lits*its

### See Also

PCSORSetOmega(), PCSORSetSymmetric()

### Level

intermediate

### Location

src/ksp/pc/impls/sor/sor.c

### Implementations

PCSORSetIterations_SOR in src/ksp/pc/impls/sor/sor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages